| Irrlicht 3D Engine |

Classes | Namespaces
irrList.h File Reference
`#include "irrTypes.h"`
`#include "irrAllocator.h"`
`#include "irrMath.h"`

Go to the source code of this file.

## Classes

- class irr::core::list< T >::ConstIterator
    List iterator for const access. More...
- class irr::core::list< T >::Iterator
    List iterator. More...
- class irr::core::list< T >
    Doubly linked list template. More...
- struct irr::core::list< T >::SKListNode
    List element node with pointer to previous and next element in the list.

## Namespaces

- namespace irr

    Everything in the Irrlicht Engine can be found in this namespace.

- namespace irr::core

    Basic classes such as vectors, planes, arrays, lists, and so on can be found in this namespace.